Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005411 [JEDI VCL] 00 JVCL Components minor always 2010-11-19 18:38 2012-02-29 16:55
Reporter CDametto View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005411: The option dgAlwaysShowEditor of JvDBGrid does not work as the standard DBGrid one
Description The option dgAlwaysShowEditor in JvDBGrid does not always show the editor.
Additional Information I have partially changed this behavior by making these changes to the file JvDBGrid.pas:

In subfunction ForwardMovement of TInternalInplaceEdit.KeyDown procedure, at Line 869, change the cast:

  Result := dgAlwaysShowEditor in TJvDBGrid(Grid).Options;


In subprocedure NextRow of TJvDBGrid.KeyDown procedure, at line 1493, add the else clause to the if:

  if AutoAppend and Eof and CanModify and not ReadOnly and (dgEditing in Options) then
    Append
  else
    if dgAlwaysShowEditor in Options then
      ShowEditor;


In near next subprocedure PriorRow of TJvDBGrid.KeyDown procedure, at line 1502, add the if after the command DoSelection(Select, -1);

  if dgAlwaysShowEditor in Options then
    ShowEditor;

That's all, but remains, as the difference in behavior, that the edit doesn't appear automatically when you open the dataset, but still only when you click on a cell...
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018210)
AHUser (developer)
2010-11-28 13:59

Fixed in svn revision 12929.

- Issue History
Date Modified Username Field Change
2010-11-19 18:38 CDametto New Issue
2010-11-28 13:59 AHUser Note Added: 0018210
2010-11-28 13:59 AHUser Status new => resolved
2010-11-28 13:59 AHUser Fixed in Version => Daily / SVN
2010-11-28 13:59 AHUser Resolution open => fixed
2010-11-28 13:59 AHUser Assigned To => AHUser
2012-02-29 16:55 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker